{
  description = "cli tool to migrate from git{hub,lab} to a gitea instance";

  inputs = {
    hs-nix.url = "github:input-output-hk/haskell.nix";
    nixpkgs.follows = "hs-nix/nixpkgs-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, hs-nix, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        overlays = [
          hs-nix.overlay
          (final: prev: {
            migrate-to-gitea = final.haskell-nix.project' {
              src = ./.;
              compiler-nix-name = "ghc923";
              shell.tools = {
                cabal = { };
                hlint = { };
                haskell-language-server = { };
              };
            };
          })
        ];
        pkgs = import nixpkgs { inherit system overlays; inherit (hs-nix) config; };
        flake = pkgs.migrate-to-gitea.flake { };
      in
      flake // {
        # defaultPackage = flake.packages."migrate-to-gitea:exe:migrate-to-gitea";
      });
}
